import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        userdata: {
            name: null
        },
        appReady: false
    },
    mutations: {
        storeUserData(state, username) {
            state.userdata.name = username;
        },
        setAppReady(state) {
            state.appReady = true;
        }

    },
    actions: {
        storeUserData({commit}, username) {
            commit('storeUserData', username);
        },
        setAppReady({commit}) {
            commit('setAppReady');
        }
    },
    modules: {},
    getters: {
        isLoggedIn(state) {
            return !!state.userdata.name;
        }
    }
})
